Updates an already existing project. The project must be in draft status, except autoSwapsEnabled which can be changed after publish for HTML v2 projects. If the body contains status and it's set to live, it will publish the project
Updates an already existing project. The project must be in draft status, except autoSwapsEnabled which can be changed after publish for HTML v2 projects. If the body contains status and it's set to live, it will publish the project
bearer In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X PATCH "https://example.com/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "data": {}, "htmlGameOpsEnabled": true, "autoSwapsEnabled": true, "images": [ { "name": "string", "path": "string" } ], "appTemplate": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "http://example.com", "schema": {}, "images": [ { "name": "string", "maxSize": 0 } ], "files": [ { "name": "string", "maxSize": 0 } ], "isEnabled": true, "previewImage": "string", "sortOrder": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "files": [ { "name": "string", "path": "string" } ], "status": "live"}Project's data in the schema structure defined by the chosen app template..
Whether this HTML v2 project allows user-approved auto-swap sessions. This field can be updated after publish.
Project's status. Default is 'draft'. Once updated to 'live', the project cannot be updated anymore.
Value in